kr.co.hanwha.hifive.adapter.viewholder

## Class SelectCampaignListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.SelectCampaignListViewHolder

    public class SelectCampaignListViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 2. 21..

### Field Summary

Fields
`private android.widget.ImageButton` `mImageButtonCheck`
`private android.widget.LinearLayout` `mLayoutBody`
`private AddTaskSelectCampaignListContract.OnSelectCampaignListListener` `mOnSelectCampaignListListener`
`private java.lang.String` `mSearchWord`
`private java.lang.String` `mSelectedCampaignKey`
`private android.widget.TextView` `mTextViewCampaign`
`private android.widget.TextView` `mTextViewProject`
`private android.view.View` `mViewLine`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`SelectCampaignListViewHolder(android.view.ViewGroup viewGroup, AddTaskSelectCampaignListContract.OnSelectCampaignListListener onSelectCampaignListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`
`void` `setSearchWord(java.lang.String searchWord)`
`void` `setSelectedCampaignKey(java.lang.String selectedCampaignKey)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mLayoutBody

    private android.widget.LinearLayout mLayoutBody

#### mImageButtonCheck

    private android.widget.ImageButton mImageButtonCheck

#### mTextViewProject

    private android.widget.TextView mTextViewProject

#### mViewLine

    private android.view.View mViewLine

#### mTextViewCampaign

    private android.widget.TextView mTextViewCampaign

#### mSearchWord

    private java.lang.String mSearchWord

#### mSelectedCampaignKey

    private java.lang.String mSelectedCampaignKey

#### mOnSelectCampaignListListener

    private AddTaskSelectCampaignListContract.OnSelectCampaignListListener mOnSelectCampaignListListener

### Constructor Detail

#### SelectCampaignListViewHolder

    public SelectCampaignListViewHolder(@NonNull
                                        android.view.ViewGroup viewGroup,
                                        AddTaskSelectCampaignListContract.OnSelectCampaignListListener onSelectCampaignListListener)

### Method Detail

#### setSearchWord

    public void setSearchWord(java.lang.String searchWord)

#### setSelectedCampaignKey

    public void setSelectedCampaignKey(java.lang.String selectedCampaignKey)

#### onBind

    public void onBind(@NonNull
                       java.lang.Object object,
                       @NonNull
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`